Bank payouts
Resolve a bank account name
POST
/payouts/resolve-accountScope
payouts:readAuth Bearer keyRequest body
json
{
"account_number": "0123456789",
"bank_code": "058"
}Responses
200Account resolution
json
{
"object": "account_resolution",
"account_number": "0123456789",
"account_name": "Bright Ideas Ltd"
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X POST "https://business.boundlesspay.com/api/public/v1/payouts/resolve-account" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "account_number": "0123456789", "bank_code": "058" }'